Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be available on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 1810224 - glibc: Update to Linux 5.6
Summary: glibc: Update to Linux 5.6
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 8
Classification: Red Hat
Component: glibc
Version: 8.3
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: rc
: 8.3
Assignee: Patsy Griffin
QA Contact: qe-baseos-tools-bugs
URL:
Whiteboard:
Depends On: 1819986
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-03-04 18:13 UTC by Carlos O'Donell
Modified: 2020-11-04 01:34 UTC (History)
8 users (show)

Fixed In Version: glibc-2.28-117.el8
Doc Type: No Doc Update
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-11-04 01:33:21 UTC
Type: Bug
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2020:4444 0 None None None 2020-11-04 01:33:42 UTC

Description Carlos O'Donell 2020-03-04 18:13:40 UTC
The following commits should get backported to update glibc to Linux 5.5:

https://sourceware.org/git/?p=glibc.git;a=commitdiff;h=5828bc4523230685ac29a4a882967913255f5666

https://sourceware.org/git/?p=glibc.git;a=commitdiff;h=449db0fa3ef9d17951d94d7504db13b1891fa964

https://sourceware.org/git/?p=glibc.git;a=commitdiff;h=6cf6a91d05d626698f158078961b3bffcb39ff8c

commit 5828bc4523230685ac29a4a882967913255f5666
Author: Joseph Myers <joseph@codesourcery.com>
Date:   Fri Feb 7 13:54:58 2020 +0000

    Update syscall lists for Linux 5.5.
    
    Linux 5.5 has no new syscalls to add to syscall-names.list, but it
    does newly enable the clone3 syscall for AArch64.  This patch updates
    the kernel version listed in syscall-names.list and regenerates the
    AArch64 arch-syscall.h.
    
    Tested with build-many-glibcs.py.

commit 449db0fa3ef9d17951d94d7504db13b1891fa964
Author: Joseph Myers <joseph@codesourcery.com>
Date:   Fri Feb 7 13:55:29 2020 +0000

    Update kernel version to 5.5 in tst-mman-consts.py.
    
    This patch updates the kernel version in the test tst-mman-consts.py
    to 5.5.  (There are no new constants covered by this test in 5.5 that
    need any other header changes.)
    
    Tested with build-many-glibcs.py.

commit 6cf6a91d05d626698f158078961b3bffcb39ff8c
Author: Joseph Myers <joseph@codesourcery.com>
Date:   Wed Feb 12 13:37:16 2020 +0000

    Rename RWF_WRITE_LIFE_NOT_SET to RWH_WRITE_LIFE_NOT_SET following Linux 5.5.
    
    Linux 5.5 renames RWF_WRITE_LIFE_NOT_SET to RWH_WRITE_LIFE_NOT_SET,
    with the old name kept as an alias.  This patch makes the
    corresponding change in glibc.
    
    Tested for x86_64.

Comment 1 Carlos O'Donell 2020-04-03 20:20:14 UTC
Linux 5.6 update just came out.

commit e788beaf093bfafecd6b4456b984bd927c18987a
Author: Joseph Myers <joseph@codesourcery.com>
Date:   Fri Apr 3 18:07:55 2020 +0000

    Update syscall lists for Linux 5.6.
    
    Linux 5.6 has new openat2 and pidfd_getfd syscalls.  This patch adds
    them to syscall-names.list and regenerates the arch-syscall.h files.
    
    Tested with build-many-glibcs.py.

Comment 4 Sergey Kolosov 2020-07-27 19:23:47 UTC
Verified, syscall-names.list contains these new syscalls(openat2, pidfd_getfd, clone3).

Comment 7 errata-xmlrpc 2020-11-04 01:33:21 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (Moderate: glibc security, bug fix, and enhancement update), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2020:4444


Note You need to log in before you can comment on or make changes to this bug.